curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"PaymentMethod\", \"id\": \"paymentMethod_1234\", \"vid\": \"94bcfec0cead8bcdede4ce77fa9c4f94da0c64d3\", \"created\": \"2023-01-03T11:14:17+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"bba07b2b714a06629c3a77d4a6d6c0e6a970a798\", \"account\": \"341111XXXXX1111\", \"bin\": \"341111\", \"type\": \"AX\", \"last_digits\": \"1111\", \"account_length\": 15, \"expiration_date\": \"202605\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Charles Brown\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"eeb8bf6c5ccfab71ab7cb646a5e1e6f93e48d843\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"customer_specified_type\": \"Personal Amex\", \"primary\": true, \"active\": true, \"linked_subscription\": false }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch a Specific Payment Method
Retrieves a specific Payment Method.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/payment_methods/{payment_method}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"PaymentMethod\", \"id\": \"paymentMethod_1234\", \"vid\": \"94bcfec0cead8bcdede4ce77fa9c4f94da0c64d3\", \"created\": \"2023-01-03T11:14:17+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"bba07b2b714a06629c3a77d4a6d6c0e6a970a798\", \"account\": \"341111XXXXX1111\", \"bin\": \"341111\", \"type\": \"AX\", \"last_digits\": \"1111\", \"account_length\": 15, \"expiration_date\": \"202605\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Charles Brown\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"eeb8bf6c5ccfab71ab7cb646a5e1e6f93e48d843\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"customer_specified_type\": \"Personal Amex\", \"primary\": true, \"active\": true, \"linked_subscription\": false }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Payment Method to retrieve. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON - A full Payment Method object with Payment Method Type subobject detail.
Value is "PaymentMethod".
PaymentMethod A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The date/time the object was created.
Amazon, ApplePay, Boleto, CarrierBilling, CreditCard, DirectDebit, ECP, GooglePay, ExternalBilling, HostedPage, MerchantAcceptedPayment, MilitaryStar, PayPal, Skrill, Token, Venmo This object defines an instance of a specific Credit Card.
Show child attributes
Show child attributes
This object defines ACH (aka ECP) details.
Show child attributes
Show child attributes
This object defines Direct Debit details (vary by country/system)
Show child attributes
Show child attributes
This object defines PayPal Express Checkout account details.
Show child attributes
Show child attributes
This object defines Amazon Payments account details.
Show child attributes
Show child attributes
This object defines Skrill digital wallet details.
Show child attributes
Show child attributes
This object defines Boleto Bancario details. Note:- fiscalNumber is associated with a customer, not a payment method, and is analogous to a U.S. social security number. Treat fiscalNumber as Personally Identifiable Information (PII).
Show child attributes
Show child attributes
This object defines Externally Hosted Payment Page details.
Show child attributes
Show child attributes
The token object provides a way to offer virtual currencies or track the balance of a consumable service item.
Show child attributes
Show child attributes
This object defines Pay By Invoice details.
Show child attributes
Show child attributes
This object defines Telco carrier billing details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
This object defines Apple Pay details.
Show child attributes
Show child attributes
This object defines Google Pay details.
Show child attributes
Show child attributes
This object defines Military Star details.
Show child attributes
Show child attributes
This object defines Venmo details
Show child attributes
Show child attributes
Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.
The metadata field supports key-value pairs with the following limitations:
Keys can be up to 256 characters
Keys can be any string that is needed, except only CashBox can prefix keys with vin:
Values can be up to 1024 characters
In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.
Name of the account holder.
The Address object represents a physical or mailing address.
Show child attributes
Show child attributes
Optional CSP- or customer-specified type description.
Optional CSP- or customer-specified card (method) description.
Primary/default payment method for the account.
Active and available for use.
Show child attributes
Show child attributes
Token value identifying a tokenized payment method used. Relevant for different payment methods such as tokenized credit cards or Venmo.
The policy object governing Payment Method behavior.
Enable the 3DS payment standard for strong customer authentication. A merchant configuration serves as a higher level indication whether 3DS is used by the merchant. When available for use, you can enable the 3DS flow per subscription, transaction, or payment method.
If Chargeback Probability from risk scoring is greater than this, the transaction will fail. Default is 100.
Indicates whether to evaluate any custom or default CVN (card security code) policy.
Indicates whether to evaluate any custom or default AVS (card Address Verification Service) policy.
Enable to validate the PaymentMethod object first before creating or updating. If validation fails, the PaymentMethod is not updated.
The customer IP address from which the customer specified details for this payment method. It must be specified if you want Subscribe to evaluate risk score for this payment method.
Indicates whether the payment method is used in a subscription. if true, the payment method is used by a subscription. Note: The Subscribe Merchant Portal 2.0 does not allow you to remove a Payment Method from an account if there are subscriptions using that Payment Method.

